<table mat-table [dataSource]="cowsData" class="mat-elevation-z0">
  <ng-container matColumnDef="animalId">
    <th mat-header-cell *matHeaderCellDef> Animal ID </th>
    <td mat-cell *matCellDef="let element"> {{element.animalId}} </td>
  </ng-container>

  <ng-container matColumnDef="cowId">
    <th mat-header-cell *matHeaderCellDef>ID</th>
    <td mat-cell *matCellDef="let element"> {{element.cowId}} </td>
  </ng-container>

  <ng-container matColumnDef="eventId">
    <th mat-header-cell *matHeaderCellDef>Event ID</th>
    <td mat-cell *matCellDef="let element"> {{element.eventId}} </td>
  </ng-container>

  <ng-container matColumnDef="healthIndex">
    <th mat-header-cell *matHeaderCellDef>Health Index</th>
    <td mat-cell *matCellDef="let element"> {{element.healthIndex}} </td>
  </ng-container>

  <ng-container matColumnDef="type">
    <th mat-header-cell *matHeaderCellDef>Type</th>
    <td mat-cell *matCellDef="let element"> {{element.type}} </td>
  </ng-container>

  <ng-container matColumnDef="lactationNumber">
    <th mat-header-cell *matHeaderCellDef>Lactation Number</th>
    <td mat-cell *matCellDef="let element"> {{element.lactationNumber}} </td>
  </ng-container>

  <ng-container matColumnDef="daysInLactation">
    <th mat-header-cell *matHeaderCellDef>Days in Lactation</th>
    <td mat-cell *matCellDef="let element"> {{element.daysInLactation}} </td>
  </ng-container>

  <ng-container matColumnDef="ageInDays">
    <th mat-header-cell *matHeaderCellDef>Age in days</th>
    <td mat-cell *matCellDef="let element"> {{element.ageInDays}} </td>
  </ng-container>

  <ng-container matColumnDef="deletable">
    <th mat-header-cell *matHeaderCellDef>Is deletable</th>
    <td mat-cell *matCellDef="let element"> {{element.deletable}} </td>
  </ng-container>

  <ng-container matColumnDef="actions">
    <th mat-header-cell *matHeaderCellDef>Actions</th>
    <td mat-cell *matCellDef="let element">
      <button mat-button (click)="updateAnimal(element.eventId)"><mat-icon aria-hidden="false" aria-label="update icon">create</mat-icon></button>
      <button mat-button (click)="deleteAnimal(element.eventId)"><mat-icon aria-hidden="false" aria-label="delete_forever icon">delete_forever</mat-icon></button>
    </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;" ></tr>
</table>
